
Redmine - Feature #2530

Handle custom project statuses

2009-01-19 10:00 - Benson M

Status: New Start date: 2009-01-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Is it possible to have project statuses the way we have issue statuses? We have very many projects that we are managing using

Redmine and some are at different stages/status and we might want to have that in the PMS and generate reports for the same too.

History

#1 - 2009-01-19 14:12 - Maxim Krušina

+1

Generaly, we can create custom field for project, but there is now way how to filter or sort regarding this custom field.

#2 - 2009-01-20 22:52 - Igor Rafael

Benson Muteru wrote:

Is it possible to have project statuses the way we have issue statuses? We have very many projects that we are managing using Redmine and

some are at different stages/status and we might want to have that in the PMS and generate reports for the same too.

 This feature will be awesome, i need that kind of control of the projects i manage.

#3 - 2009-01-21 21:40 - Douglas Manley

Ditto for versions, as well; we make a version for every branch that's running, and then they need to be merged in with the current production trunk as

versions are completed.  Custom fields here would be great.

#4 - 2009-10-25 22:00 - Anonymous

- File projectStatuses.patch added

- Status changed from New to Resolved

- Assignee deleted (Tommy Jensen)

This patch allows users to choose one of configured statuses for the project. It works similar to Issue statuses but without workflows.

It would be great to see it in trunk.

#5 - 2011-04-26 10:01 - Etienne Massip

- Category set to Projects

- Status changed from Resolved to New

#6 - 2011-08-18 12:13 - Etienne Massip

- Subject changed from Project Status to Handle custom project statuses

#7 - 2016-12-06 12:29 - Zer Guz

+1

#8 - 2022-12-09 08:16 - Go MAEDA

Maxim Krušina wrote:

Generaly, we can create custom field for project, but there is now way how to filter or sort regarding this custom field.
 Redmine 4.1.0 and later can filter projects by custom fields (#29482).

Files

projectStatuses.patch 44.6 KB 2009-10-25 Anonymous
